[Index]
Defines configuration settings for SAML2 SSO
Model ref.: data/SsoSettings
The full URL would include the host-proxy name: https://[host-proxy].
Variables are enclosed in square brackets.
{
"$schema": "http://json-schema.org/draft-03/schema",
"type": "object",
"properties": {
"entity_id": {
"title": "Entity Id",
"description": "Usually your subdomain plus the url to the metadata",
"type": "string",
"required": false,
"readonly": false,
"maxLength": 1024
},
"sp": {
"title": "Service Provider Settings",
"description": "Defines the settings that apply to the system when used as a Service Provider",
"type": "object",
"required": false,
"readonly": false,
"properties": {
"name": {
"title": "Name",
"description": "A friendly identifier for the Service Provider",
"type": "string",
"required": true,
"readonly": false,
"maxLength": 1024
},
"authn_requests_signed": {
"title": "Sign Authn Requests",
"description": "Determines whether outgoing authentication messages will be signed. If so, the specified private key will be used. This attribute is false by default. If one of your identity providers has WantAuthnRequestsSigned set in its meta data, this attribute should be set to true.",
"type": "boolean",
"required": false,
"readonly": false
},
"request_signature_method": {
"title": "SignatureMethod",
"description": "Set the SignatureMethod of the authentication request. Only used when 'Sign Authn Requests' is enabled. Defaults to rsa-sha1.",
"type": "string",
"required": false,
"readonly": false,
"default": "rsa-sha1",
"choices": [
{
"value": "rsa-sha1",
"title": "rsa-sha1"
},
{
"value": "rsa-sha224",
"title": "rsa-sha224"
},
{
"value": "rsa-sha256",
"title": "rsa-sha256"
},
{
"value": "rsa-sha384",
"title": "rsa-sha384"
},
{
"value": "rsa-sha512",
"title": "rsa-sha512"
}
],
"maxLength": 1024
},
"request_digest_method": {
"title": "DigestMethod",
"description": "Set the DigestMethod of the authentication request. Only used when 'Sign Authn Requests' is enabled. Defaults to sha1.",
"type": "string",
"required": false,
"readonly": false,
"default": "sha1",
"choices": [
{
"value": "sha1",
"title": "sha1"
},
{
"value": "sha224",
"title": "sha224"
},
{
"value": "sha256",
"title": "sha256"
},
{
"value": "sha384",
"title": "sha384"
},
{
"value": "sha512",
"title": "sha512"
}
],
"maxLength": 1024
},
"want_assertions_signed": {
"title": "Want Assertions Signed",
"description": "Determines whether assertions should be signed. Don't set this attribute to false unless you are sure that checking the integrity of the assertions is not needed in your environment.",
"type": "boolean",
"required": false,
"readonly": false
},
"want_response_signed": {
"title": "Want Reponse Signed",
"description": "Determines whether responses should be signed. Don't set this to true unless you are sure that all Identity Providers do sign responses.",
"type": "boolean",
"required": false,
"readonly": false
},
"endpoints": {
"title": "End Points",
"description": "Specifies the various end points that provide an external interface to the service provider.",
"type": "object",
"required": false,
"readonly": false,
"properties": {
"assertion_consumer_service": {
"title": "Assertion Consumer Service",
"type": "array",
"required": false,
"readonly": false,
"items": {
"type": "object",
"properties": {
"binding": {
"title": "Binding",
"description": "Determines how SAML requests and responses map onto standard messaging or communications protocols.",
"type": "string",
"required": true,
"readonly": false,
"choices": [
{
"value": "urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST",
"title": "HTTP-POST"
}
],
"maxLength": 1024
},
"url": {
"title": "URL",
"type": "string",
"required": true,
"readonly": false,
"maxLength": 1024
}
}
}
},
"single_logout_service": {
"title": "Single Logout Service",
"type": "array",
"required": false,
"readonly": false,
"items": {
"type": "object",
"properties": {
"binding": {
"title": "Binding",
"description": "Determines how SAML requests and responses map onto standard messaging or communications protocols.",
"type": "string",
"required": true,
"readonly": false,
"choices": [
{
"value": "urn:oasis:names:tc:SAML:2.0:bindings:HTTP-Redirect",
"title": "HTTP-REDIRECT"
}
],
"maxLength": 1024
},
"url": {
"title": "URL",
"type": "string",
"required": true,
"readonly": false,
"maxLength": 1024
}
}
}
}
}
},
"required_attributes": {
"title": "Required Attributes",
"description": "Additional attributes required to identify a user",
"type": "array",
"required": false,
"readonly": false,
"items": {
"type": "string",
"maxLength": 1024
}
}
}
},
"use_custom_cert_for_signing": {
"title": "Use Custom Certificate for Signing",
"description": "Indicates if previously uploaded public/private keys must be used for signing. If true, the 'Public Key' and 'Private Key' fields are required. If false, a system-generated Public/Private key pair is used.",
"type": "boolean",
"required": false,
"readonly": false
},
"system_cert": {
"title": "System Generated Certificate",
"description": "A reference to the data/Certificate instance that contains the system generated certificate to be used.",
"type": "string",
"format": "uri",
"required": false,
"readonly": false,
"target": "/api/data/Certificate/choices/?format=json&hierarchy=[hierarchy]&auth_token=[authtoken],
"maxLength": 1024,
"target_model_type": "data/Certificate",
"choices": []
},
"key_file": {
"title": "Private Key",
"description": "The private key that is used for signing AuthnRequests",
"type": "string",
"format": "uri",
"required": false,
"readonly": false,
"target": "/api/data/File/choices/?format=json&hierarchy=[hierarchy]&auth_token=[authtoken],
"maxLength": 1024,
"target_model_type": "data/File",
"choices": []
},
"cert_file": {
"title": "Public Key",
"description": "The public key that should be used for decrypting signed AuthnRequests",
"type": "string",
"format": "uri",
"required": false,
"readonly": false,
"target": "/api/data/File/choices/?format=json&hierarchy=[hierarchy]&auth_token=[authtoken],
"maxLength": 1024,
"target_model_type": "data/File",
"choices": []
},
"valid_for": {
"title": "Validity (Hours)",
"description": "The number of hours for which the metadata is valid for",
"type": "integer",
"required": false,
"readonly": false
},
"accepted_time_diff": {
"title": "Accepted Time Difference (seconds)",
"description": "The maximum acceptable difference in clock times (in seconds) between this system and any IDP.",
"type": "integer",
"required": false,
"readonly": false,
"default": 0
},
"contact_person": {
"title": "Contact Person",
"description": "Service Provider contact details",
"type": "array",
"required": false,
"readonly": false,
"items": {
"type": "object",
"properties": {
"givenname": {
"title": "First Name",
"description": "Contact's first name",
"type": "string",
"required": false,
"readonly": false,
"maxLength": 1024
},
"surname": {
"title": "Last Name",
"description": "Contact's last name",
"type": "string",
"required": false,
"readonly": false,
"maxLength": 1024
},
"company": {
"title": "Company",
"description": "Contact's company",
"type": "string",
"required": false,
"readonly": false,
"maxLength": 1024
},
"email_address": {
"title": "Email Address",
"description": "Contact's email address",
"type": "string",
"required": false,
"readonly": false,
"maxLength": 1024
},
"contact_type": {
"title": "Contact Type",
"description": "Type of contact",
"type": "string",
"required": false,
"readonly": false,
"maxLength": 1024
}
}
}
},
"block_unencrypted_assertions": {
"title": "Block unencrypted assertions",
"description": "Block unencrypted assertions",
"type": "boolean",
"required": false,
"readonly": false,
"default": false
}
},
"schema_version": "0.2.2"
}
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get the GUI Add form. | GET | /api/data/SsoSettings/add/ |
|
The GUI Add form of data/SsoSettings as JSON |
The API call to the /add/ URL can only be made from a hierarchy that allows the model type to be added. The actions in the response shows the url for the POST API call to create an instance.
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Create | POST | /api/data/SsoSettings | hierarchy=[hierarchy] |
|
tool/Transaction/[trans pkid]to inspect the created resource and its instance pkid.
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Bulk delete [pkid1],[pkid2]... | DELETE | /api/data/SsoSettings/ | hierarchy=[hierarchy] | {"hrefs":["/api/data/SsoSettings/[pkid1]", "/api/data/SsoSettings/[pkid2]", ...]} |
GET http://[host-proxy]/api/data/SsoSettings/?hierarchy=[hierarchy]&format=json
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Bulk Modify | GET | /api/data/SsoSettings/bulk_update/?schema=&schema_rules=true |
|
|
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Bulk Modify | POST | /api/data/SsoSettings/bulk_update/ |
|
For example: {"data":{"name":"value"}, "meta":{}, "request_meta":{ "hrefs":["/api/v0/data/SsoSettings/[pkid1]", "/api/v0/data/SsoSettings/[pkid2]",...]}} |
GET http://[host-proxy]/api/data/SsoSettings/?hierarchy=[hierarchy]&format=json
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Get a selected [export_format] of the schema and instances [pkid1], [pkid2],... of data/SsoSettings; optionally with tag_version at [version] and Configuration Template as [configtemplate]. | POST | /api/data/SsoSettings/export/ |
|
{ "hrefs":["/api/data/SsoSettings/[pkid1]", "/api/data/SsoSettings/[pkid2]",...]}} |
For export_format=json, the response is a time stamped zip file of data in JSON as in the system database. Item properties such as strings that are empty or Boolean values that are not set, are not included. The filename in the response is of the format as the example:
Content-Disposition: attachment; filename=export_2013-05-17_14:20:19.186444.json.zip
Content-Language:en
Content-Type:application/x-zip
For export_format=raw_xlsx, the response is a MS Excel spreadsheet with columns corresponding to the JSON format export and a response filename format:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
For export_format=xlsx, the response is a MS Excel spreadsheet, arranged by any Field Display Policies that apply. The columns correspond with those of a Bulk Load Template export sheet. The response filename format is:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_formatted_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
The XLSX format can be used to bulk load instances of data/SsoSettings and the JSON format can be used to import instances of data/SsoSettings.
GET http://[host-proxy]/api/data/SsoSettings/?hierarchy=[hierarchy]
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get a compressed format of the Bulk Load spreadsheet template for data/SsoSettings | POST | /api/data/SsoSettings/export_bulkload_template/ |
|
The response is an attachment of the format: filetype_bulkloadsheet.xlsx.gz |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Tag | PATCH | /api/data/SsoSettings/+tag/ |
|
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Tag Version | PATCH | /api/data/SsoSettings/+tag_version/ |
|
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Configuration Template | GET | /api/data/SsoSettings/configuration_template/ | hierarchy=[hierarchy] |
|
POST http://[host-proxy]/api/data/ConfigurationTemplate/?hierarchy=[hierarchy]
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Field Display Policy | GET | /api/data/SsoSettings/field_display_policy/ | hierarchy=[hierarchy] |
|
POST http://[host-proxy]/api/data/FieldDisplayPolicy/?hierarchy=[hierarchy]
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Migration Template | GET | /api/data/SsoSettings/migration/ |
|
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| List | GET | /api/data/SsoSettings/ |
|
The data/SsoSettings schema and all instances as JSON. |
(The list will return 0 to 3 data/SsoSettings instances)
{
"pagination": {
"skip": 0,
"limit": 3,
"maximum_limit": 2000,
"total": 1,
"total_limit": null,
"order_by": "entity_id",
"direction": "asc",
"current": "/api/data/SsoSettings/?skip=0&limit=3&order_by=entity_id&direction=asc&traversal=down"
},
"operations": [
"add",
"bulk_update_form",
"list",
"update",
"transform",
"migration",
"remove",
"move",
"export",
"help",
"configuration_template",
"field_display_policy",
"get",
"export_bulkload_template"
],
"meta": {
"model_type": "data/SsoSettings",
"summary_attrs": [
{
"name": "entity_id",
"title": "Entity Id"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [],
"title": "",
"business_key": {
"unique": [
"entity_id"
],
"hierarchy": false
},
"api_version": "21.2",
"cached": true,
"references": {
"children": [],
"parent": [
{
"href": "/api/data/HierarchyNode/6t0ggef2c0deab00hb595101",
"pkid": "6t0ggef2c0deab00hb595101"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": []
},
"model_specific_actions": [
"add",
"bulk_update_form",
"clone",
"configuration_template",
"export",
"export_bulkload_template",
"field_display_policy",
"get",
"help",
"list",
"migration",
"remove",
"tag",
"tag_version",
"update"
],
"schema_version": "0.2.2",
"actions": [
{
"add": {
"method": "GET",
"class": "add",
"href": "/api/data/SsoSettings/add/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Add"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/data/SsoSettings/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Delete"
}
},
{
"bulk_update_form": {
"method": "GET",
"class": "update",
"href": "/api/data/SsoSettings/bulk_update/?hierarchy=[hierarchy]&schema=&schema_rules=true",
"support_async": false,
"title": "Bulk Modify"
}
},
{
"export": {
"method": "POST",
"class": "export",
"href": "/api/data/SsoSettings/export/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/?auth_token=[authtoken],
"submit": "payload"
}
},
{
"export_bulkload_template": {
"method": "POST",
"class": "bulkload_template",
"href": "/api/data/SsoSettings/export_bulkload_template/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Export Bulk Load Template"
}
},
{
"tag": {
"method": "PATCH",
"class": "tag",
"href": "/api/data/SsoSettings/+tag/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Tag",
"view": "/api/view/TagNameForm/add/?auth_token=[authtoken]
}
},
{
"tag_version": {
"method": "PATCH",
"class": "tag_version",
"href": "/api/data/SsoSettings/+tag_version/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Tag Version",
"view": "/api/view/TagVersionForm/add/?auth_token=[authtoken]
}
},
{
"configuration_template": {
"method": "GET",
"class": "config",
"href": "/api/data/SsoSettings/configuration_template/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Configuration Template"
}
},
{
"field_display_policy": {
"method": "GET",
"class": "display_policy",
"href": "/api/data/SsoSettings/field_display_policy/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Field Display Policy"
}
},
{
"migration": {
"method": "GET",
"class": "migration",
"href": "/api/data/SsoSettings/migration/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Migration Template"
}
},
{
"list": {
"method": "GET",
"class": "list",
"href": "/api/data/SsoSettings/?hierarchy=[hierarchy]",
"support_async": false,
"title": "List"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/data/SsoSettings/help?hierarchy=[hierarchy]",
"support_async": false,
"title": "Help"
}
}
]
},
"resources": [
{
"data": {
"entity_id": "https://[host]/sso/metadata",
"sp": {
"name": "[host]",
"endpoints": {
"assertion_consumer_service": [
{
"binding": "urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST",
"url": "https://[host]/sso/acs/"
}
]
},
"required_attributes": [
"uid"
]
},
"system_cert": "[\"SSO-Cert\", \"hcs\"]",
"valid_for": 24,
"pkid": "69efcd4ce32dcf14ced38cf2",
"hierarchy_friendly_name": "hcs (Hcs)",
"hierarchy_path": "sys.hcs"
},
"meta": {
"model_type": "data/SsoSettings",
"summary_attrs": [
{
"name": "entity_id",
"title": "Entity Id"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [],
"title": "https://[host]/sso/metadata",
"business_key": {
"unique": [
"entity_id"
],
"hierarchy": false
},
"api_version": "21.2",
"cached": true,
"references": {
"parent": [
{
"pkid": "69ee359c62dfd021865bd21d",
"href": "/api/data/HierarchyNode/69ee359c62dfd021865bd21d"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": [
{
"pkid": "69efcd3ce32dcf14ced38ce2",
"path": "system_cert",
"model_type": "data/Certificate"
}
],
"owner": [
{
"pkid": ""
}
],
"self": [
{
"href": "/api/data/SsoSettings/69efcd4ce32dcf14ced38cf1/",
"pkid": "69efcd4ce32dcf14ced38cf1"
}
]
},
"path": [
"6t0ggef2c0deab00hb595101",
"69ee359c62dfd021865bd21d",
"69efcd4ce32dcf14ced38cf1"
],
"schema_version": "0.2.2",
"actions": [
{
"update": {
"method": "PUT",
"class": "update",
"href": "/api/data/SsoSettings/69efcd4ce32dcf14ced38cf1/",
"support_async": true,
"title": "Modify"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/data/SsoSettings/69efcd4ce32dcf14ced38cf1/",
"support_async": true,
"title": "Delete"
}
},
{
"clone": {
"method": "GET",
"class": "clone",
"href": "/api/data/SsoSettings/69efcd4ce32dcf14ced38cf1/clone/?schema=&schema_rules=true",
"support_async": false,
"title": "Clone"
}
},
{
"export": {
"method": "GET",
"class": "export",
"href": "/api/data/SsoSettings/69efcd4ce32dcf14ced38cf1/export/",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/",
"submit": "payload"
}
},
{
"tag": {
"method": "PATCH",
"class": "tag",
"href": "/api/data/SsoSettings/69efcd4ce32dcf14ced38cf1/+tag/",
"support_async": true,
"title": "Tag",
"view": "/api/view/TagNameForm/add/"
}
},
{
"tag_version": {
"method": "PATCH",
"class": "tag_version",
"href": "/api/data/SsoSettings/69efcd4ce32dcf14ced38cf1/+tag_version/",
"support_async": true,
"title": "Tag Version",
"view": "/api/view/TagVersionForm/add/"
}
},
{
"get": {
"method": "GET",
"class": "get",
"href": "/api/data/SsoSettings/69efcd4ce32dcf14ced38cf1/",
"support_async": false,
"title": "Get"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/data/SsoSettings/69efcd4ce32dcf14ced38cf1/help",
"support_async": false,
"title": "Help"
}
}
],
"summary": "false"
},
"pkid": "69efcd4ce32dcf14ced38cf1"
}
]
}
(Show the first instance)
{
"data": {
"entity_id": "https://[host]/sso/metadata",
"sp": {
"name": "[host]",
"endpoints": {
"assertion_consumer_service": [
{
"binding": "urn:oasis:names:tc:SAML:2.0:bindings:HTTP-POST",
"url": "https://[host]/sso/acs/"
}
]
},
"required_attributes": [
"uid"
]
},
"system_cert": "[\"SSO-Cert\", \"hcs\"]",
"valid_for": 24,
"pkid": "69efcd4ce32dcf14ced38cf2"
},
"meta": {
"model_type": "data/SsoSettings",
"summary_attrs": [
{
"name": "entity_id",
"title": "Entity Id"
},
{
"name": "hierarchy_friendly_name",
"title": "Located At",
"allow_filtering": true
}
],
"tagged_versions": [],
"tags": [],
"title": "https://[host]/sso/metadata",
"business_key": {
"unique": [
"entity_id"
],
"hierarchy": false
},
"api_version": "21.2",
"cached": false,
"references": {
"parent": [
{
"href": "/api/data/HierarchyNode/69ee359c62dfd021865bd21d",
"pkid": "69ee359c62dfd021865bd21d"
}
],
"device": [
{
"href": "",
"pkid": ""
}
],
"foreign_key": [
{
"pkid": "69efcd3ce32dcf14ced38ce2",
"path": "system_cert",
"model_type": "data/Certificate"
}
],
"owner": [
{
"pkid": ""
}
],
"children": [],
"self": [
{
"href": "/api/data/SsoSettings/69efcd4ce32dcf14ced38cf1/",
"pkid": "69efcd4ce32dcf14ced38cf1"
}
]
},
"path": [
"6t0ggef2c0deab00hb595101",
"69ee359c62dfd021865bd21d",
"69efcd4ce32dcf14ced38cf1"
],
"schema_version": "0.2.2",
"actions": [
{
"update": {
"method": "PUT",
"class": "update",
"href": "/api/data/SsoSettings/69efcd4ce32dcf14ced38cf1/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Modify"
}
},
{
"remove": {
"method": "DELETE",
"class": "delete",
"href": "/api/data/SsoSettings/69efcd4ce32dcf14ced38cf1/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Delete"
}
},
{
"clone": {
"method": "GET",
"class": "clone",
"href": "/api/data/SsoSettings/69efcd4ce32dcf14ced38cf1/clone/?hierarchy=[hierarchy]&schema=&schema_rules=true",
"support_async": false,
"title": "Clone"
}
},
{
"export": {
"method": "GET",
"class": "export",
"href": "/api/data/SsoSettings/69efcd4ce32dcf14ced38cf1/export/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Export",
"view": "/api/view/ExportData/add/?auth_token=[authtoken],
"submit": "payload"
}
},
{
"tag": {
"method": "PATCH",
"class": "tag",
"href": "/api/data/SsoSettings/69efcd4ce32dcf14ced38cf1/+tag/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Tag",
"view": "/api/view/TagNameForm/add/?auth_token=[authtoken]
}
},
{
"tag_version": {
"method": "PATCH",
"class": "tag_version",
"href": "/api/data/SsoSettings/69efcd4ce32dcf14ced38cf1/+tag_version/?hierarchy=[hierarchy]",
"support_async": true,
"title": "Tag Version",
"view": "/api/view/TagVersionForm/add/?auth_token=[authtoken]
}
},
{
"get": {
"method": "GET",
"class": "get",
"href": "/api/data/SsoSettings/69efcd4ce32dcf14ced38cf1/?hierarchy=[hierarchy]",
"support_async": false,
"title": "Get"
}
},
{
"help": {
"method": "GET",
"class": "help",
"href": "/api/data/SsoSettings/69efcd4ce32dcf14ced38cf1/help?hierarchy=[hierarchy]",
"support_async": false,
"title": "Help"
}
}
]
},
"pkid": "69efcd4ce32dcf14ced38cf1"
}
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get the on-line Help for data/SsoSettings. | GET | /api/data/SsoSettings/help | hierarchy=[hierarchy] | On-line help of Model ref.: data/SsoSettings as HTML |
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Modify | PUT | /api/data/SsoSettings/[pkid] | hierarchy=[hierarchy] | (For payload specification) |
For Bulk modification, refer to the Bulk Modify section.
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Delete | DELETE | /api/data/SsoSettings/[pkid] | hierarchy=[hierarchy] |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Clone instance with [pkid]. The schema rules are applied. | GET | /api/data/SsoSettings/[pkid]/clone/?schema=&schema_rules=true |
|
A JSON payload with:
|
GET http://[host-proxy]/api/data/SsoSettings/?hierarchy=[hierarchy]&format=json
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get a selected [export_format] of the schema and a single instance with [pkid] of data/SsoSettings; optionally with tag_version at [version] and Configuration Template as [configtemplate]. | GET | /api/data/SsoSettings/[pkid]/export |
|
The response is an attachment. Refer to the list below. |
For export_format=raw_xlsx, the response is a "raw" MS Excel spreadsheet with columns corresponding to the JSON format export and a response format:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
For export_format=xlsx, the response is a MS Excel spreadsheet, formatted to show all columns and a response format:
Content-Disposition: attachment; filename=<resource_type>_<resource_name>_exportedsheet_formatted_CCYY-MM-DD_HH-MM-SS.xlsx
Content-Language:en
Content-Type:application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
For export_format=json, the response is a time stamped zip file of data in JSON and a response format:
Content-Disposition: attachment; filename=export_2013-05-17_14:20:19.186444.json.zip
Content-Language:en
Content-Type:application/x-zip
The XLSX format can be used to bulk load instances of data/SsoSettings and the JSON format can be used to import instances of data/SsoSettings.
For Bulk Export, refer to the Bulk Export section.
| Task | Call | URL | Parameters | Payload |
|---|---|---|---|---|
| Tag | PATCH | /api/data/SsoSettings/[pkid]/+tag | hierarchy=[hierarchy] | If payload required: |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Get | GET | /api/data/SsoSettings/[pkid] | hierarchy=[hierarchy] | The data/SsoSettings instance with [pkid]. |
| Task | Call | URL | Parameters | Response |
|---|---|---|---|---|
| Help | GET | /api/data/SsoSettings/[pkid]/help | hierarchy=[hierarchy] | The on-line Help for data/SsoSettings. |